<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Ajout Film</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>

<div class="container my-5">
    <h3> Ajout Film</h3>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">
                <form action="#" th:action="@{/film/save}" th:object="${film}"
                      method="post">
                    <div class="row">
                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">title</label>
                            <input type="text" th:field="*{title}" class="form-control"
                                   id="title" placeholder="title" />
                        </div>
                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">director</label>
                            <input type="text" th:field="*{director}" class="form-control"
                                   id="director" placeholder="director" />
                        </div>

                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">duration</label>
                            <input type="text" th:field="*{duration}" class="form-control"
                                   id="duration" placeholder="duration" />
                        </div>

                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">genre</label>
                            <input type="text" th:field="*{genre}" class="form-control"
                                   id="genre" placeholder="genre" />
                        </div>

                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">rating</label>
                            <input type="text" th:field="*{rating}" class="form-control"
                                   id="rating" placeholder="rating" />
                        </div>

                        <div class="col-md-6">
                            <input type="submit" class="btn btn-primary" value=" Submit ">
                        </div>

                        <input type="hidden" id="id" th:field="*{id}">

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>

</html>